## org.codehaus.groovy.grails.web.servlet
Interface FlashScope

All Superinterfaces:
  Map, Serializable

All Known Implementing Classes:
  GrailsFlashScope

    public interface FlashScope

extends Map, Serializable

An interface that represents flash scope and allows a flash scope map to be set to the next state. Flash scope essentially allows variables to be maintained for the next state and the next state only, what this means is if objects are stored inside FlashScope on the first call to "next()" they will be still there, but on the subsequent call they will be cleared unless they have been set again since the last call to "next()"

Since:
  07-Feb-2006
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`void` `next()` Sets the flash scope to the next state upon a new request

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### next

    void next()

  Sets the flash scope to the next state upon a new request

Copyright (c) 2005-2009 The Grails project